summaryrefslogtreecommitdiffstats
path: root/test/nattest
diff options
context:
space:
mode:
Diffstat (limited to 'test/nattest')
-rwxr-xr-xtest/nattest42
1 files changed, 42 insertions, 0 deletions
diff --git a/test/nattest b/test/nattest
new file mode 100755
index 0000000..fece276
--- /dev/null
+++ b/test/nattest
@@ -0,0 +1,42 @@
+#!/bin/sh
+if [ $3 = hex ] ; then
+ format="-xF $2"
+else
+ format="-F $2"
+fi
+if [ "$4" != "" ] ; then
+ case $4 in
+ -*)
+ format="$4 $format"
+ ;;
+ *)
+ format="-T $4 $format"
+ ;;
+ esac
+fi
+if [ -f /usr/ucb/touch ] ; then
+ TOUCH=/usr/ucb/touch
+else
+ if [ -f /usr/bin/touch ] ; then
+ TOUCH=/usr/bin/touch
+ else
+ if [ -f /bin/touch ] ; then
+ TOUCH=/bin/touch
+ fi
+ fi
+fi
+echo "$1...";
+/bin/cp /dev/null results/$1
+( while read rule; do
+ echo "$rule" | ../ipftest $format -RbN - -i input/$1 >> results/$1;
+ if [ $? -ne 0 ] ; then
+ exit 1;
+ fi
+ echo "-------------------------------" >> results/$1
+done ) < regress/$1
+cmp expected/$1 results/$1
+status=$?
+if [ $status = 0 ] ; then
+ $TOUCH $1
+fi
+exit $status
OpenPOWER on IntegriCloud